Open CASCADE Technology: Transfer_TransferOutput Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Transfer_TransferOutput Class Reference

A TransferOutput is a Tool which manages the transfer of entities created by an Interface, stored in an InterfaceModel, into a set of Objects suitable for an Application Objects to be transferred are given, by method Transfer (which calls Transfer from TransientProcess) A default action is available to get all roots of the Model Result is given as a TransferIterator (see TransferProcess) Also, it is possible to pilot directly the TransientProcess. More...

`#include <Transfer_TransferOutput.hxx>`

## Public Member Functions
| Transfer_TransferOutput (const Handle< Transfer_ActorOfTransientProcess > &actor, const Handle< Interface_InterfaceModel > &amodel)
| Creates a TransferOutput ready to use, with a TransientProcess. More...
| Transfer_TransferOutput (const Handle< Transfer_TransientProcess > &proc, const Handle< Interface_InterfaceModel > &amodel)
| Creates a TransferOutput from an already existing TransientProcess, and a Model Returns (by Reference, hence can be changed) the Mode for Scope Management. False (D) means Scope is ignored. True means that each individual Transfer (direct or through TransferRoots) is regarded as one Scope. More...
Handle< Interface_InterfaceModel > | Model () const
| Returns the Starting Model. More...
Handle< Transfer_TransientProcess > | TransientProcess () const
| Returns the TransientProcess used to work. More...
void | Transfer (const Handle< Standard_Transient > &obj)
| Transfer checks that all taken Entities come from the same Model, then calls Transfer from TransientProcess. More...
void | TransferRoots (const Handle< Interface_Protocol > &protocol)
| Runs transfer on the roots of the Interface Model The Roots are computed with a ShareFlags created from a Protocol given as Argument. More...
void | TransferRoots (const Interface_Graph &G)
| Runs transfer on the roots defined by a Graph of dependences (which detains also a Model and its Entities) Roots are computed with a ShareFlags created from the Graph. More...
void | TransferRoots ()
| Runs transfer on the roots of the Interface Model Remark : the Roots are computed with a ShareFlags created from the Active Protocol. More...
Interface_EntityIterator | ListForStatus (const Standard_Boolean normal, const Standard_Boolean roots=Standard_True) const
| Returns the list of Starting Entities with these criteria : More...
Handle< Interface_InterfaceModel > | ModelForStatus (const Handle< Interface_Protocol > &protocol, const Standard_Boolean normal, const Standard_Boolean roots=Standard_True) const
| Fills a Model with the list determined by ListForStatus This model starts from scratch (made by NewEmptyModel from the current Model), then is filled by AddWithRefs. More...

## Detailed Description

A TransferOutput is a Tool which manages the transfer of entities created by an Interface, stored in an InterfaceModel, into a set of Objects suitable for an Application Objects to be transferred are given, by method Transfer (which calls Transfer from TransientProcess) A default action is available to get all roots of the Model Result is given as a TransferIterator (see TransferProcess) Also, it is possible to pilot directly the TransientProcess.

## Constructor & Destructor Documentation

Transfer_TransferOutput::Transfer_TransferOutput | ( | const Handle< Transfer_ActorOfTransientProcess > & | actor,
|  | const Handle< Interface_InterfaceModel > & | amodel
| ) |  |

Creates a TransferOutput ready to use, with a TransientProcess.

Transfer_TransferOutput::Transfer_TransferOutput | ( | const Handle< Transfer_TransientProcess > & | proc,
|  | const Handle< Interface_InterfaceModel > & | amodel
| ) |  |

Creates a TransferOutput from an already existing TransientProcess, and a Model Returns (by Reference, hence can be changed) the Mode for Scope Management. False (D) means Scope is ignored. True means that each individual Transfer (direct or through TransferRoots) is regarded as one Scope.

## Member Function Documentation

Interface_EntityIterator Transfer_TransferOutput::ListForStatus | ( | const Standard_Boolean | normal,
|  | const Standard_Boolean | roots = `Standard_True`
| ) |  | const

Returns the list of Starting Entities with these criteria :

- <normal> False, gives the entities bound with ABNORMAL STATUS (e.g. : Fail recorded, Exception raised during Transfer)
- <normal> True, gives Entities with or without a Result, but with no Fail, no Exception (Warnings are not counted)
- <roots> False, considers all entities recorded (either for Result, or for at least one Fail or Warning message)
- <roots> True (Default), considers only roots of Transfer (the Entities recorded at highest level) This method is based on AbnormalResult from TransferProcess

Handle< Interface_InterfaceModel > Transfer_TransferOutput::Model | ( |  | ) | const

Returns the Starting Model.

Handle< Interface_InterfaceModel > Transfer_TransferOutput::ModelForStatus | ( | const Handle< Interface_Protocol > & | protocol,
|  | const Standard_Boolean | normal,
|  | const Standard_Boolean | roots = `Standard_True`
| ) |  | const

Fills a Model with the list determined by ListForStatus This model starts from scratch (made by NewEmptyModel from the current Model), then is filled by AddWithRefs.

Useful to get separately from a transfer, the entities which have caused problem, in order to furtherly analyse them (with normal = False), or the "good" entities, to obtain a data set "which works well" (with normal = True)

void Transfer_TransferOutput::Transfer | ( | const Handle< Standard_Transient > & | obj | ) |

Transfer checks that all taken Entities come from the same Model, then calls Transfer from TransientProcess.

void Transfer_TransferOutput::TransferRoots | ( | const Handle< Interface_Protocol > & | protocol | ) |

Runs transfer on the roots of the Interface Model The Roots are computed with a ShareFlags created from a Protocol given as Argument.

void Transfer_TransferOutput::TransferRoots | ( | const Interface_Graph & | G | ) |

Runs transfer on the roots defined by a Graph of dependences (which detains also a Model and its Entities) Roots are computed with a ShareFlags created from the Graph.

void Transfer_TransferOutput::TransferRoots | ( |  | ) |

Runs transfer on the roots of the Interface Model Remark : the Roots are computed with a ShareFlags created from the Active Protocol.

Handle< Transfer_TransientProcess > Transfer_TransferOutput::TransientProcess | ( |  | ) | const

Returns the TransientProcess used to work.

The documentation for this class was generated from the following file:

- Transfer_TransferOutput.hxx